POST api/pcconfigapi/addMany?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
Collection of PcConfigViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| active | boolean |
Required |
|
| id | globally unique identifier |
None. |
|
| key | globally unique identifier |
Required |
|
| pc_id | globally unique identifier |
Required |
|
| value | string |
String length: inclusive between 0 and 500 |
Request Formats
application/json, text/json
Sample:
[
{
"active": true,
"id": "758b5123-458a-457e-8462-2349a708508d",
"key": "c5c66f38-9753-4bf9-8d16-ede09dcb340d",
"pc_id": "0026e179-c338-4cc6-ba0b-0fa93659dc78",
"value": "sample string 3"
},
{
"active": true,
"id": "758b5123-458a-457e-8462-2349a708508d",
"key": "c5c66f38-9753-4bf9-8d16-ede09dcb340d",
"pc_id": "0026e179-c338-4cc6-ba0b-0fa93659dc78",
"value": "sample string 3"
}
]
application/xml, text/xml
Sample:
<ArrayOfpc_config xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<pc_config>
<active>true</active>
<id>758b5123-458a-457e-8462-2349a708508d</id>
<key>c5c66f38-9753-4bf9-8d16-ede09dcb340d</key>
<pc_id>0026e179-c338-4cc6-ba0b-0fa93659dc78</pc_id>
<value>sample string 3</value>
</pc_config>
<pc_config>
<active>true</active>
<id>758b5123-458a-457e-8462-2349a708508d</id>
<key>c5c66f38-9753-4bf9-8d16-ede09dcb340d</key>
<pc_id>0026e179-c338-4cc6-ba0b-0fa93659dc78</pc_id>
<value>sample string 3</value>
</pc_config>
</ArrayOfpc_config>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
None.